Need helped updating Internet Explorer

Discussions about Internet service providers (ISPs), the Meetinghouse Firewall, wired and wireless networking, usage, management, and support of Meetinghouse Internet
scorch29
New Member
Posts: 11
Joined: Mon Mar 28, 2011 8:57 am
Location: St. George, UT USA

Need helped updating Internet Explorer

Postby scorch29 » Sat Apr 02, 2011 9:01 pm

Our Stake uses the LDS Restricted filtering. We have Internet Explorer 6.0 installed on our computer. When we launch IE to view lds.org we are told our version is not compatible and we need to update IE. However, we can't update IE because of our filtering restriction. Is the only way to get past this to have the filtering level reduced to LDS Extended?

jdlessley
Community Moderators
Posts: 6522
Joined: Sun Mar 16, 2008 11:30 pm
Location: USA, TX

Postby jdlessley » Sat Apr 02, 2011 9:38 pm

scorch29 wrote:Our Stake uses the LDS Restricted filtering. We have Internet Explorer 6.0 installed on our computer. When we launch IE to view lds.org we are told our version is not compatible and we need to update IE. However, we can't update IE because of our filtering restriction. Is the only way to get past this to have the filtering level reduced to LDS Extended?

Ask your STS to update your computers. He will need to temporarily bybass the Church provided firewall to do this. Another method is to download the installer for IE8 onto a removable media (USB memory stick) at a computer that has access to the IE8 for Windows XP download site. The later will get the basic IE8 but all the updates will not be there. I recommend the first option to get all the necessary security updates.

While the STS is upgrading IE he might as well do a Windows update to get all the security updates for the OS.
JD Lessley
Have you tried finding your answer on the LDS.org Help Center page or the LDSTech wiki?


Return to “Meetinghouse Internet”

Who is online

Users browsing this forum: No registered users and 1 guest